midi_pos(3)

NAME
midi_pos

SYNOPSIS
#include <allegro.h>

extern volatile long midi_pos;

DESCRIPTION
Stores the current position (beat number) in the MIDI file, or contains a negative number if no music is currently playing. Useful for synchronising animations with the music, and for checking whether a MIDI file has finished playing.

SEE ALSO
play_midi(3), midi_msg_callback(3)